using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Mall.MCScriptManageServices
{
    public partial class AddPay : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string _Id = Request["id"] == null ? "0" : Request["id"].ToString();
            string _Name = Request["Name"] == null ? "" : Request["idName"].ToString();
            string _PayUserName = Request["PayUserName"] == null ? "" : Request["PayUserName"].ToString();
            string _PayPass = Request["PayPass"] == null ? "" : Request["PayPass"].ToString();
            string _PayKey = Request["PayKey"] == null ? "" : Request["PayKey"].ToString();
            string _PayKeyMore = Request["PayKeyMore"] == null ? "" : Request["PayKeyMore"].ToString();
            string _Intro = Request["Intro"] == null ? "" : Request["Intro"].ToString();
            string _Flag = Request["Flag"] == null ? "0" : Request["Flag"].ToString();
            MODEL.MPar model = new MODEL.MPar();
            model.Id = Convert.ToInt32(_Id);
            model.Name = _Name;
            model.PayUserName = _PayUserName;
            model.PayPass = _PayPass;
            model.PayKey = _PayKey;
            model.PayKeyMore = _PayKeyMore;
            model.Intro = _Intro;
            model.Flag = Convert.ToBoolean(_Flag);
            BLL.Models.MPayMModels msp = new BLL.Models.MPayMModels();
            bool ret = msp.AddPay(model);// mss.AddClassinfo(modelclass);
            string jsons = string.Empty;
            if (ret)
            {

                jsons = "{success:'true'}";

            }
            else
            {

                jsons = "{success:'false'}";
            }
            Response.Write(jsons);

        }
    }
}